#include <Stepper.h>

// a motorunk körbefordulásához szükséges lépések száma
#define STEPS 100

// Stepper osztály példányosítása a lépések számával és a tekercseknek 
// megfelelő Arduino csatornák sorrendjével
Stepper stepper(STEPS, 8, 9, 10, 11);

// az analóg bemeneten olvasott előző érték
int previous = 0;

void setup()
{
  // a motor sebességét 30 fordulat/percre állítjuk
  stepper.setSpeed(30);
}

void loop()
{
  // olvassuk be a potméter állását
  int val = analogRead(0);

  // léptessük a motort a potméter elfordításának különbségével
  stepper.step(val - previous);

  // tároljuk el a potméter állapotát
  previous = val;
}

